Skip to main content

Create Custom Field Folder

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_create_custom_field_folder

Create a new custom field folder for organizing fields within an object.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-custom-field-folder-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_custom_field_folder",
"arguments": {
"objectKey": "objectKey_example",
"name": "name_example",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"objectKey": {
"type": "string"
},
"name": {
"type": "string"
},
"locationId": {
"type": "string"
}
},
"required": [
"objectKey",
"name"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-custom-field-folder-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_custom_field_folder",
"arguments": {
"objectKey": "objectKey_example",
"name": "name_example",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_create_custom_field_folder executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}